com.taosdata.jdbc

## Interface TaosPrepareStatement

All Superinterfaces:
  AutoCloseable, PreparedStatement, Statement, Wrapper

All Known Implementing Classes:
  AbsWSPreparedStatement, TSDBPreparedStatement, TSWSPreparedStatement, WSEWPreparedStatement

    public interface TaosPrepareStatement
    extends PreparedStatement

### Field Summary

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `columnDataAddBatch()`
`void` `columnDataExecuteBatch()`
`void` `setBigDecimal(int columnIndex, List<BigDecimal> list)`
`void` `setBigInteger(int columnIndex, List<BigInteger> list)`
`void` `setBlob(int columnIndex, List<Blob> list, int size)`
`void` `setBoolean(int columnIndex, List<Boolean> list)`
`void` `setByte(int columnIndex, List<Byte> list)`
`void` `setDouble(int columnIndex, List<Double> list)`
`void` `setFloat(int columnIndex, List<Float> list)`
`void` `setGeometry(int columnIndex, List<byte[]> list, int size)`
`void` `setInt(int columnIndex, List<Integer> list)`
`void` `setLong(int columnIndex, List<Long> list)`
`void` `setNString(int columnIndex, List<String> list, int size)`
`void` `setShort(int columnIndex, List<Short> list)`
`void` `setString(int columnIndex, List<String> list, int size)`
`void` `setTableName(String name)`
`void` `setTagBigInteger(int index, BigInteger value)`
`void` `setTagBoolean(int index, boolean value)`
`void` `setTagByte(int index, byte value)`
`void` `setTagDouble(int index, double value)`
`void` `setTagFloat(int index, float value)`
`void` `setTagGeometry(int index, byte[] value)`
`void` `setTagInt(int index, int value)`
`void` `setTagJson(int index, String value)`
`void` `setTagLong(int index, long value)`
`void` `setTagNString(int index, String value)`
`void` `setTagNull(int index, int type)`
`void` `setTagShort(int index, short value)`
`void` `setTagString(int index, String value)`
`void` `setTagTimestamp(int index, long value)`
`void` `setTagTimestamp(int index, Timestamp value)`
`void` `setTagVarbinary(int index, byte[] value)`
`void` `setTimestamp(int columnIndex, List<Long> list)`
`void` `setVarbinary(int columnIndex, List<byte[]> list, int size)`

### Methods inherited from interface java.sql.PreparedStatement

`addBatch, clearParameters, execute, executeLargeUpdate, executeQuery, executeUpdate, getMetaData, getParameterMetaData, setArray, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setNString, setNull, setNull, setObject, setObject, setObject, setObject, setObject, setRef, setRowId, setShort, setSQLXML, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL`

### Methods inherited from interface java.sql.Statement

`addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, execute, execute, execute, execute, executeBatch, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Method Detail

#### setTableName

    void setTableName(String name)
               throws SQLException

Throws:
  `SQLException`

#### setTagNull

    void setTagNull(int index,
                    int type)
             throws SQLException

Throws:
  `SQLException`

#### setTagBoolean

    void setTagBoolean(int index,
                       boolean value)

#### setTagByte

    void setTagByte(int index,
                    byte value)

#### setTagShort

    void setTagShort(int index,
                     short value)

#### setTagInt

    void setTagInt(int index,
                   int value)

#### setTagLong

    void setTagLong(int index,
                    long value)

#### setTagBigInteger

    void setTagBigInteger(int index,
                          BigInteger value)
                   throws SQLException

Throws:
  `SQLException`

#### setTagFloat

    void setTagFloat(int index,
                     float value)

#### setTagDouble

    void setTagDouble(int index,
                      double value)

#### setTagTimestamp

    void setTagTimestamp(int index,
                         long value)

#### setTagTimestamp

    void setTagTimestamp(int index,
                         Timestamp value)

#### setTagString

    void setTagString(int index,
                      String value)

#### setTagVarbinary

    void setTagVarbinary(int index,
                         byte[] value)

#### setTagGeometry

    void setTagGeometry(int index,
                        byte[] value)

#### setTagNString

    void setTagNString(int index,
                       String value)

#### setTagJson

    void setTagJson(int index,
                    String value)

#### setInt

    void setInt(int columnIndex,
                List<Integer> list)
         throws SQLException

Throws:
  `SQLException`

#### setFloat

    void setFloat(int columnIndex,
                  List<Float> list)
           throws SQLException

Throws:
  `SQLException`

#### setTimestamp

    void setTimestamp(int columnIndex,
                      List<Long> list)
               throws SQLException

Throws:
  `SQLException`

#### setLong

    void setLong(int columnIndex,
                 List<Long> list)
          throws SQLException

Throws:
  `SQLException`

#### setBigInteger

    void setBigInteger(int columnIndex,
                       List<BigInteger> list)
                throws SQLException

Throws:
  `SQLException`

#### setBigDecimal

    void setBigDecimal(int columnIndex,
                       List<BigDecimal> list)
                throws SQLException

Throws:
  `SQLException`

#### setDouble

    void setDouble(int columnIndex,
                   List<Double> list)
            throws SQLException

Throws:
  `SQLException`

#### setBoolean

    void setBoolean(int columnIndex,
                    List<Boolean> list)
             throws SQLException

Throws:
  `SQLException`

#### setByte

    void setByte(int columnIndex,
                 List<Byte> list)
          throws SQLException

Throws:
  `SQLException`

#### setShort

    void setShort(int columnIndex,
                  List<Short> list)
           throws SQLException

Throws:
  `SQLException`

#### setString

    void setString(int columnIndex,
                   List<String> list,
                   int size)
            throws SQLException

Throws:
  `SQLException`

#### setVarbinary

    void setVarbinary(int columnIndex,
                      List<byte[]> list,
                      int size)
               throws SQLException

Throws:
  `SQLException`

#### setGeometry

    void setGeometry(int columnIndex,
                     List<byte[]> list,
                     int size)
              throws SQLException

Throws:
  `SQLException`

#### setBlob

    void setBlob(int columnIndex,
                 List<Blob> list,
                 int size)
          throws SQLException

Throws:
  `SQLException`

#### setNString

    void setNString(int columnIndex,
                    List<String> list,
                    int size)
             throws SQLException

Throws:
  `SQLException`

#### columnDataAddBatch

    void columnDataAddBatch()
                     throws SQLException

Throws:
  `SQLException`

#### columnDataExecuteBatch

    void columnDataExecuteBatch()
                         throws SQLException

Throws:
  `SQLException`